---@meta

---@class ABP_Elevator_System_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field elevator_box UChildActorComponent
---@field timeToWaitAtFloors double
---@field arrayDoorFrames TArray<ABP_DoorFrame_C>
---@field doorSpeed double
---@field elevatorSpeed double
---@field buttonOffsetPosition FVector
local ABP_Elevator_System_C = {}

function ABP_Elevator_System_C:ReceiveBeginPlay() end
---@param doorFrame ABP_DoorFrame_C
function ABP_Elevator_System_C:eventAddDoorFrame(doorFrame) end
---@param floorNumber int32
function ABP_Elevator_System_C:SetAllDoorFrames_LEDDisplay(floorNumber) end
---@param EntryPoint int32
function ABP_Elevator_System_C:ExecuteUbergraph_BP_Elevator_System(EntryPoint) end


